com.aliyun.svideosdk.editor

## Interface AliyunIPasterController

- All Known Subinterfaces:
    AliyunPasterController
  All Known Implementing Classes:
    AliyunPasterAbstractController, AliyunPasterControllerCompoundCaption

      public interface AliyunIPasterController

  贴图统一抽象Controller

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration()` 获取当前贴纸的播放时长
    `long` | `getDuration(java.util.concurrent.TimeUnit timeUnit)` 获取当前贴纸的播放时长
    `PointF` | `getPosition()` 获取贴纸的中心点位置(x,y), 单位： 像素
    `float` | `getRotate()` 获取贴纸旋转的弧度
    `RectF` | `getSize()` 获取贴纸的大小，通过`android.graphics.RectF#width()`和`android.graphics.RectF#height()`获取到宽高, 单位：像素
    `long` | `getStartTime()` 获取当前贴纸的起始时间
    `long` | `getStartTime(java.util.concurrent.TimeUnit timeUnit)` 获取当前贴纸的起始时间
    `int` | `getType()` 获取贴图类型
    `void` | `setDuration(long duration)` 设置贴纸播放时长
    `void` | `setDuration(long duration, java.util.concurrent.TimeUnit timeUnit)` 设置贴纸播放时长
    `void` | `setPosition(PointF aPosition)` 设置贴纸的中心点位置(x,y),单位：像素
    `void` | `setRotate(float radian)` 设置贴纸当前旋转的弧度值
    `void` | `setStartTime(long startTime)` 设置贴纸的起始时间
    `void` | `setStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` 设置贴纸的起始时间

- - ### Method Detail

    - #### getType

          int getType()

      获取贴图类型
      Returns:
        贴图类型
      See Also:
        `EffectPaster.PASTER_TYPE_GIF`, `EffectPaster.PASTER_TYPE_CAPTION`, `EffectPaster.PASTER_TYPE_IMAGE`

    - #### getStartTime

          long getStartTime()

      获取当前贴纸的起始时间
      Returns:
        贴纸的起始时间戳(单位：微秒）

    - #### getStartTime

          long getStartTime(java.util.concurrent.TimeUnit timeUnit)

      获取当前贴纸的起始时间

      v3.27.0新增

      Parameters:
        `timeUnit` - 时间单位
      Returns:
        贴纸的起始时间戳

    - #### setStartTime

          void setStartTime(long startTime)

      设置贴纸的起始时间
      Parameters:
        `startTime` - 起始时间戳(单位：微秒）

    - #### setStartTime

          void setStartTime(long startTime,
                            java.util.concurrent.TimeUnit timeUnit)

      设置贴纸的起始时间

      v3.27.0新增

      Parameters:
        `startTime` - 起始时间戳
        `timeUnit` - 时间单位

    - #### getDuration

          long getDuration()

      获取当前贴纸的播放时长
      Returns:
        贴纸播放时长(单位：微秒）

    - #### getDuration

          long getDuration(java.util.concurrent.TimeUnit timeUnit)

      获取当前贴纸的播放时长

      v3.27.0新增

      Parameters:
        `timeUnit` - 时间单位
      Returns:
        贴纸播放时长

    - #### setDuration

          void setDuration(long duration)

      设置贴纸播放时长
      Parameters:
        `duration` - 贴纸播放时长(单位：微秒）

    - #### setDuration

          void setDuration(long duration,
                           java.util.concurrent.TimeUnit timeUnit)

      设置贴纸播放时长

      v3.27.0新增

      Parameters:
        `duration` - 贴纸播放时长
        `timeUnit` - 时间单位

    - #### getPosition

          PointF getPosition()

      获取贴纸的中心点位置(x,y), 单位： 像素
      Returns:
        中心点坐标

    - #### setPosition

          void setPosition(PointF aPosition)

      设置贴纸的中心点位置(x,y),单位：像素
      Parameters:
        `aPosition` - 中心点坐标值

    - #### getSize

          RectF getSize()

      获取贴纸的大小，通过`android.graphics.RectF#width()`和`android.graphics.RectF#height()`获取到宽高, 单位：像素
      Returns:
        贴纸的布局大小
      See Also:
        `android.graphics.RectF`

    - #### getRotate

          float getRotate()

      获取贴纸旋转的弧度
      Returns:
        角度值

    - #### setRotate

          void setRotate(float radian)

      设置贴纸当前旋转的弧度值